Uploaded image for project: 'TrueNAS'
  1. TrueNAS
  2. NAS-102839

Cannot add jail

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Engineering Closed (View Workflow)
    • Priority: Low
    • Resolution: Need additional information
    • Affects Version/s: 11.2-U5
    • Fix Version/s: N/A
    • Component/s: Plugins
    • Labels:

      Description

      I get this error  below when I click add to create a new jail. I have a pool and a dataset and was wanting to run Plex. Cannot get that far. Any ideas?

       

      Error: concurrent.futures.process._RemoteTraceback: 
      """
      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/site-packages/urllib3/connection.py", line 141, in _new_conn
          (self.host, self.port), self.timeout, **extra_kw)
        File "/usr/local/lib/python3.6/site-packages/urllib3/util/connection.py", line 60, in create_connection
          for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
        File "/usr/local/lib/python3.6/socket.py", line 745, in getaddrinfo
          for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
      socket.gaierror: [Errno 8] hostname nor servname provided, or not known

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 601, in urlopen
          chunked=chunked)
        File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 346, in _make_request
          self._validate_conn(conn)
        File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 850, in _validate_conn
          conn.connect()
        File "/usr/local/lib/python3.6/site-packages/urllib3/connection.py", line 284, in connect
          conn = self._new_conn()
        File "/usr/local/lib/python3.6/site-packages/urllib3/connection.py", line 150, in _new_conn
          self, "Failed to establish a new connection: %s" % e)
      urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x8162e5fd0>: Failed to establish a new connection: [Errno 8] hostname nor servname provided, or not known

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/site-packages/requests/adapters.py", line 440, in send
          timeout=timeout
        File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 639, in urlopen
          _stacktrace=sys.exc_info()[2])
        File "/usr/local/lib/python3.6/site-packages/urllib3/util/retry.py", line 388, in increment
          raise MaxRetryError(_pool, url, error or ResponseError(cause))
      urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='www.freebsd.org', port=443): Max retries exceeded with url: /security/unsupported.html (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x8162e5fd0>: Failed to establish a new connection: [Errno 8] hostname nor servname provided, or not known',))

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
          r = call_item.fn(*call_item.args, **call_item.kwargs)
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 133, in main_worker
          res = loop.run_until_complete(coro)
        File "/usr/local/lib/python3.6/asyncio/base_events.py", line 484, in run_until_complete
          return future.result()
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 93, in _run
          return await self._call(name, serviceobj, methodobj, params=args, job=job)
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 85, in _call
          return methodobj(*params)
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 85, in _call
          return methodobj(*params)
        File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
          return f(*args, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 588, in list_resource
          resource_list = iocage.fetch(list=True, remote=remote, http=True)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 961, in fetch
          _list=True)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_fetch.py", line 228, in fetch_release
          eol = self.__fetch_eol_check__()
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_fetch.py", line 113, in __fetch_eol_check__
          req = requests.get(_eol)
        File "/usr/local/lib/python3.6/site-packages/requests/api.py", line 72, in get
          return request('get', url, params=params, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/requests/api.py", line 58, in request
          return session.request(method=method, url=url, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/requests/sessions.py", line 508, in request
          resp = self.send(prep, **send_kwargs)
        File "/usr/local/lib/python3.6/site-packages/requests/sessions.py", line 618, in send
          r = adapter.send(request, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/requests/adapters.py", line 508, in send
          raise ConnectionError(e, request=request)
      requests.exceptions.ConnectionError: HTTPSConnectionPool(host='www.freebsd.org', port=443): Max retries exceeded with url: /security/unsupported.html (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x8162e5fd0>: Failed to establish a new connection: [Errno 8] hostname nor servname provided, or not known',))
      """

      The above exception was the direct cause of the following exception:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 167, in call_method
          result = await self.middleware.call_method(self, message)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1098, in call_method
          return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1043, in _call
          return await self._call_worker(name, *args)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1063, in _call_worker
          return await self.run_in_proc(main_worker, name, args, job)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 997, in run_in_proc
          return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 973, in run_in_executor
          return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
      requests.exceptions.ConnectionError: None: Max retries exceeded with url: /security/unsupported.html (Caused by None)
       

        Attachments

          Attachments

            JEditor

              Activity

                People

                Assignee:
                releng Triage Team
                Reporter:
                mikal Michael Anderson
                Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: